Subject: RE: GNAT in gcc-3.2 [was Re: New gcc-3.1.1 Release - g77]
From: "Billinghurst, David (CRTS)" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 19 Sep 2002 08:38:22 +1000

I will build a gcc+gnat only binary, tar it up and see how big it is.  If 
it isn't too big, I will put it on my geocities page and send you the URL. 

I have no Ada experience, so can't vouch for the end result, but it will
bootstrap itself.  I just built it "because it was there".

-----Original Message-----
From: David A. Cobb [mailto:[email-masked]]
Sent: Wednesday, 18 September 2002 9:32 
To: Billinghurst, David (CRTS); [email-masked]
Subject: GNAT in gcc-3.2 [was Re: New gcc-3.1.1 Release - g77]

Billinghurst, David (CRTS) wrote:

>It can be done.  I have a working (or so it seems) GNAT for cygwin.
>
>Let me know if you are interested.
>

_Very interested_ .  Thanks..  What do I need to do?

>
>-----Original Message-----
>From: David A. Cobb [mailto:[email-masked]]
>Sent: Wednesday, 18 September 2002 3:21 
>To: Dockeen
>Cc: [email-masked]
>Subject: Re: New gcc-3.1.1 Release - g77
>
>
>Back in the Dark Days of 7/7/2000, Dockeen wrote:
>
>  
>
>>It may be a while before he gets to it, he was up late last night
>>dealing with some schmuck, i.e. me.  :-)
>>
>>I will be very interested in how GNAT works into this.  Although
>>some very nice people have sent me very nice directions as to
>>how to do the Ada bootstrap, I have avoided for some weird, fearful
>>reasons.
>>
>>    
>>
>Here's what I tried, without success!
>
>Installed binary kit GNAT ( gcc-2.7 ) from NYU.  Note, this is a Windoze 
>build, not Cygwin (AFAIK).
>Point $CC and $CXX at the GNAT gcc, also put that dir at the head of my 
>$PATH.
>
>Try running configure & make bootstrap for gcc-3.2-1.
>
>I'm not totally surprised that it failed, however I /am/ surprised at 
>how and where.  The 'C' and 'C++' and 'F77' builds went pretty well.
>However, the Ada test in configure ( Testing whether gcc understands Ada 
>.... no ). failed.
>
>My first thought was "of course, it doesn't unerstand Cygwin paths." 
> But, if that were true it should have failed completely on C, C++, and 
>F77 as well.
>SO, if Dockeen, or anyone, can point me in the direction of creating a 
>bootstrap GNAT it would be greatly appreciated.
>
>TIA
>  
>

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/